Subject: Re: Can I run linux without a file system?

From: Roland Dreier <[email-masked]>
Date: 21 Jun 2002 14:26:10 -0700

>>>>> "John" == John Kerl <Kerl> writes:

    John> * I could bulk-copy (cp -R) from $xroot to the filesystem
    John> image, *but* you can't cp around the files in /dev.  The
    John> script below is hackish in that I list out all the
    John> subdirectories in $xroot except /dev and copy them, then
    John> populate /dev using the mkdevs script (included after
    John> mkramdisk).  (It would be more elegant to use find with grep
    John> -v /dev.)

cp -a works like cp -R except it will copy /dev and symlinks properly.

Best,
  Roland

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/